## roundcube 1.5.0+dfsg.1

=== Makefile ===
GITREMOTE=git://github.com/roundcube/roundcubemail.git
GITBRANCH=release-1.5
GPGKEY=devs@roundcube.net
VERSION=1.5.0
 
all: clean complete dependent framework
 
complete: roundcubemail-git
	cp -RH roundcubemail-git roundcubemail-$(VERSION)
	(cd roundcubemail-$(VERSION); jq '.require += {"kolab/net_ldap3": "~1.1.1"} | del(.suggest."kolab/net_ldap3")' --indent 4 composer.json-dist > composer.json)
	(cd roundcubemail-$(VERSION); php /tmp/composer.phar install --prefer-dist --no-dev --ignore-platform-reqs)
	(cd roundcubemail-$(VERSION); bin/install-jsdeps.sh --force)
	(cd roundcubemail-$(VERSION); bin/jsshrink.sh program/js/publickey.js; bin/jsshrink.sh plugins/managesieve/codemirror/lib/codemirror.js)
	(cd roundcubemail-$(VERSION); rm jsdeps.json bin/install-jsdeps.sh *.orig; rm -rf vendor/masterminds/html5/test vendor/pear/*/tests vendor/*/*/.git* vendor/pear/crypt_gpg/tools vendor/pear/console_commandline/docs vendor/pear/mail_mime/scripts vendor/pear/net_ldap2/doc vendor/pear/net_smtp/docs vendor/pear/net_smtp/examples vendor/pear/net_smtp/README.rst vendor/endroid/qrcode/tests temp/js_cache)
	tar czf roundcubemail-$(VERSION)-complete.tar.gz roundcubemail-$(VERSION)
	rm -rf roundcubemail-$(VERSION)

dependent: roundcubemail-git
	cp -RH roundcubemail-git roundcubemail-$(VERSION)
	tar czf roundcubemail-$(VERSION).tar.gz roundcubemail-$(VERSION)
	rm -rf roundcubemail-$(VERSION)
 
framework: roundcubemail-git /tmp/phpDocumentor.phar
	cp -r roundcubemail-git/program/lib/Roundcube roundcube-framework-$(VERSION)
	(cd roundcube-framework-$(VERSION); php /tmp/phpDocumentor.phar -d . -t ./doc --title="Roundcube Framework" --defaultpackagename="Framework" --template="clean")
	(cd roundcube-framework-$(VERSION); rm -rf doc/phpdoc-cache* .phpdoc)
	tar czf roundcube-framework-$(VERSION).tar.gz roundcube-framework-$(VERSION)
	rm -rf roundcube-framework-$(VERSION)

sign:
	gpg -u $(GPGKEY) -a --detach-sig roundcubemail-$(VERSION).tar.gz
	gpg -u $(GPGKEY) -a --detach-sig roundcubemail-$(VERSION)-complete.tar.gz
	gpg -u $(GPGKEY) -a --detach-sig roundcube-framework-$(VERSION).tar.gz

verify:
	gpg -v --verify roundcubemail-$(VERSION).tar.gz{.asc,}
	gpg -v --verify roundcubemail-$(VERSION)-complete.tar.gz{.asc,}
	gpg -v --verify roundcube-framework-$(VERSION).tar.gz{.asc,}

shasum:
	shasum -a 256 roundcubemail-$(VERSION).tar.gz roundcubemail-$(VERSION)-complete.tar.gz roundcube-framework-$(VERSION).tar.gz

roundcubemail-git: buildtools
	git clone $(GITREMOTE) roundcubemail-git
	(cd roundcubemail-git; git checkout $(GITBRANCH))
	(cd roundcubemail-git; bin/jsshrink.sh; bin/updatecss.sh; bin/cssshrink.sh)
	(cd roundcubemail-git/skins/elastic; \
		lessc --clean-css="--s1 --advanced" styles/styles.less > styles/styles.min.css; \
		lessc --clean-css="--s1 --advanced" styles/print.less > styles/print.min.css; \
		lessc --clean-css="--s1 --advanced" styles/embed.less > styles/embed.min.css)
	(cd roundcubemail-git/bin; rm -f transifexpull.sh package2composer.sh)
	(cd roundcubemail-git; find . -name '.gitignore' | xargs rm)
	(cd roundcubemail-git; find . -name '.travis.yml' | xargs rm)
	(cd roundcubemail-git; rm -rf tests plugins/*/tests .git* .tx* .ci* .editorconfig* index-test.php Dockerfile Makefile)
	(cd roundcubemail-git; sed -i '' 's/1.5-git/$(VERSION)/' index.php public_html/index.php installer/index.php program/include/iniset.php program/lib/Roundcube/bootstrap.php)
	(cd roundcubemail-git; sed -i '' 's/# Unreleased/# Release $(VERSION)'/ CHANGELOG.md)

buildtools: /tmp/composer.phar
	npm install -g uglify-js
	npm install -g lessc
	npm install -g less-plugin-clean-css
	npm install -g csso-cli
	which -s jq || echo "!!!!!! Please install jq (https://stedolan.github.io/jq/) !!!!!!"

/tmp/composer.phar:
	curl -sS https://getcomposer.org/installer | php -- --install-dir=/tmp/

/tmp/phpDocumentor.phar:
	curl -sSL https://phpdoc.org/phpDocumentor.phar -o /tmp/phpDocumentor.phar

clean:
	rm -rf roundcubemail-git
	rm -rf roundcubemail-$(VERSION)*

## roundcube 0.3.1

=== debian/changelog ===
roundcube (0.3.1-6~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports, no changes needed.
  * Add myself to uploaders.

 -- Holger Levsen <holger@debian.org>  Tue, 19 Oct 2010 13:22:39 +0200

roundcube (0.3.1-6) unstable; urgency=low

  * Update Arabic debconf translation, thanks to Ossama Khayat.
    Closes: #596181.
  * Update Portuguese debconf translation, thanks to Christian Perrier.
    Closes: #599575.
  * Add a patch to avoid duplicate boundaries in headers when adding an
    attachment. Closes: #599586.

 -- Vincent Bernat <bernat@debian.org>  Mon, 18 Oct 2010 23:14:37 +0200

roundcube (0.3.1-5) unstable; urgency=low

  * Depends on php-mail-mime 1.7.0 or more recent to handle correctly
    'mime_param_folding' directive. Closes: #588295.
  * Add Danish debconf translation, thanks to Joe Dalton.
    Closes: #593271.
  * Add a patch to fix Received header to behave better with Spam
    Assassin. Closes: #595204.

 -- Vincent Bernat <bernat@debian.org>  Thu, 02 Sep 2010 07:54:58 +0200

roundcube (0.3.1-4) unstable; urgency=low

  * Update README.Debian to state that the variable to modify is
    'htmleditor' instead of 'enable_htmleditor'. Thanks to Hans
    Spaans. Closes: #575556.
  * Add Brazilian Portuguese debconf translation, thanks to Eder
    L. Marques. Closes: #581745.
  * Switch default encoding to UTF-8 instead of ISO-8859-1.
    Closes: #588084.
  * Add more explanations on how to install roundcube in a Debian system
    in README.Debian. Closes: #584458, #582894.
  * Bump Standards-Version. No changes required.
  * Switch to 3.0 (quilt) format.
  * Use Breaks instead of Conflicts to move files from older roundcube
    installations.

 -- Vincent Bernat <bernat@debian.org>  Sat, 17 Jul 2010 17:23:30 +0200

roundcube (0.3.1-3) unstable; urgency=high

  * RFC 5321, section 4.5.3.1, asks to not impose any limits on length if
    possible. We respect this by dropping limitation of the local-part of
    an email address. Closes: #568360, #568537.
  * Suggests php-auth-sasl to enable use of SASL mechanisms for mail
    servers. Closes: #567550.
  * Disable DNS prefetching to avoid information leakage through links
    embedded in messages. This fixes CVE-2010-0464. Closes: #569660.
  * Bump Standards-Version. No changes required.

 -- Vincent Bernat <bernat@debian.org>  Sat, 13 Feb 2010 10:21:49 +0100

roundcube (0.3.1-2) unstable; urgency=low

  * Fix VCS links in debian/control, thanks to Torsten Landschoff.
    Closes: #555900.
  * Really ship NEWS.Debian.
  * Add changesets 3170 and 3202 from upstream to handle gracefully jQuery
    1.4. Thanks to Volker Gropp for the report. Closes: #565715.

 -- Vincent Bernat <bernat@debian.org>  Mon, 18 Jan 2010 23:11:01 +0100

roundcube (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Add a notice in NEWS.Debian about php.ini options that should be set
    to get Roundcube working properly. Closes: #549428, #552508.

 -- Vincent Bernat <bernat@debian.org>  Sat, 07 Nov 2009 17:41:37 +0100

roundcube (0.3-2) unstable; urgency=low

  * Really fix #544579 since the default value is null without
    quotes. This really Closes: #544579.
  * Enlarge login box to accommodate sk_SK locale. Closes: #542933.

 -- Vincent Bernat <bernat@debian.org>  Sun, 27 Sep 2009 11:26:56 +0200

roundcube (0.3-1) unstable; urgency=low

  * New upstream release. Closes: #545498.
  * Update debconf translations:
      + Italian, thanks to Luca Monducci. Closes: #544199.
      + Czech, thanks to Miroslav Kure. Closes: #546413.
  * Roundcube configuration now uses 'language' instead of 'locale_string'
    to specify the default language. Update postinst to reflect this
    change. Thanks to Richard van den Berg for noticing this. Closes: #544579.
  * Depends on libjs-jquery (>= 1.3) since this is now used by roundcube.
  * Don't ship any plugins for now but ship an empty plugins directory.
  * Ship main .htaccess since it is needed to setup correctly PHP (for
    example, to disable PHP Suhosin cookie encryption).
  * Bump Standards-Version. No changes required.

 -- Vincent Bernat <bernat@debian.org>  Sun, 27 Sep 2009 11:00:30 +0200

roundcube (0.2.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version. No changes required.
  * Remove *.js.src which are not needed at runtime.
  * Don't send email contents to Google by default by using php5-pspell
    instead. Thanks to Anand Kumria. Closes: #529563.
  * Update debconf translations:
      + Basque, thanks to Piarres Beobide. Closes: #534282.

 -- Vincent Bernat <bernat@debian.org>  Sun, 05 Jul 2009 09:53:17 +0200

roundcube (0.2.1-2) unstable; urgency=low

  * Update debconf translations:
      + German, thanks to Helge Kreutzmann. Closes: #520004.
      + Japanese, thanks to Hideki Yamane. Closes: #520024.
      + Spanish, thanks to Francisco Javier. Closes: #526696.
      + Russian, thanks to Yuri Kozlov. Closes: #528796.
  * Depend on php-mdb2-* (>= 1.5.0b2) since it is needed to fix some
    bugs. Closes: #519104, #519293. Remove not needed any more patch from
    debian/patches/series. Keep it in debian/patches to help backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 16 May 2009 15:30:17 +0200

roundcube (0.2.1-1) unstable; urgency=low

  * New upstream release:
      + Fix use_packaged_tinymce.patch to apply to this new version
      + Remove cve-2009-0413.patch which has been applied upstream

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Mar 2009 17:42:07 +0100

roundcube (0.2~stable-2) unstable; urgency=low

  * Update debconf translations:
      + French, thanks to Christian Perrier. Closes: #515806.
      + Swedish, thanks to Martin Bagge. Closes: #516683.
  * Drop virtual package roundcube-db and add dependencies on real package
    instead: this way, we can have versioned dependencies on those to avoid
    version mismatch between packages.
  * Add a patch to not use a MDB2 feature not present in the Debian


=== debian/control ===
Source: roundcube
Section: web
Priority: extra
Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>, Romain Beauxis <toots@rastageeks.org>, Holger Levsen <holger@debian.org>
Build-Depends: cdbs, debhelper (>= 5), cdbs (>= 0.4.27), po-debconf
Homepage: http://www.roundcube.net/
Standards-Version: 3.9.0
Vcs-Svn: svn://svn.debian.org/svn/pkg-roundcube/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-roundcube/trunk/

Package: roundcube-core
Architecture: all
Depends: dbconfig-common, debconf | debconf-2.0, apache2 | lighttpd | httpd, php5, php5-mcrypt, php5-gd, roundcube-sqlite (= ${source:Version}) | roundcube-mysql (= ${source:Version}) | roundcube-pgsql (= ${source:Version}), php-mdb2, php-auth, php-net-smtp, php-net-socket, php-mail-mime (>= 1.7.0), ucf, tinymce (>= 3), ${misc:Depends}, libmagic1, php5-pspell, libjs-jquery (>= 1.3.3)
Suggests: php-auth-sasl
Replaces: roundcube
Breaks: roundcube (<< 0.1~rc2-2)
Description: skinnable AJAX based webmail solution for IMAP servers
 RoundCube Webmail is a browser-based multilingual IMAP client with an
 application-like user interface. It provides full functionality
 expected from an e-mail client, including MIME support, address book,
 folder manipulation and message filters.
 .
 The user interface is fully skinnable using XHTML and CSS 2.
 .
 This package provides the core code for roundcube. You should install
 it along with one of the roundcube database metapackages.

Package: roundcube
Architecture: all
Depends: roundcube-core (= ${source:Version}), ${misc:Depends}
Description: skinnable AJAX based webmail solution for IMAP servers - metapackage
 RoundCube Webmail is a browser-based multilingual IMAP client with an
 application-like user interface. It provides full functionality
 expected from an e-mail client, including MIME support, address book,
 folder manipulation and message filters.
 .
 The user interface is fully skinnable using XHTML and CSS 2.
 .
 This package will install a full roundcube application.

Package: roundcube-mysql
Architecture: all
Depends: php-mdb2-driver-mysql (>= 1.5.0b2), mysql-client | virtual-mysql-client, ${misc:Depends}
Suggests: mysql-server
Description: metapackage providing MySQL dependencies for RoundCube
 This package provides MySQL dependencies for RoundCube Webmail, a
 skinnable AJAX based webmail solution for IMAP servers. Install this
 one if you want to use a MySQL database with RoundCube.

Package: roundcube-pgsql
Architecture: all
Depends: php-mdb2-driver-pgsql (>= 1.5.0b2), postgresql-client-8.1 | postgresql-client, ${misc:Depends}
Suggests: postgresql-server
Description: metapackage providing PostgreSQL dependencies for RoundCube
 This package provides PostgreSQL dependencies for RoundCube Webmail,
 a skinnable AJAX based webmail solution for IMAP servers. Install
 this one if you want to use a PostgreSQL database with RoundCube.

Package: roundcube-sqlite
Architecture: all
Depends: php-mdb2-driver-sqlite (>= 1.5.0b2), sqlite, ${misc:Depends}
Description: metapackage providing sqlite dependencies for RoundCube
 This package provides sqlite dependencies for RoundCube Webmail, a
 skinnable AJAX based webmail solution for IMAP servers. Install this
 one if you want to use a sqlite database with RoundCube.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_INSTALL_CHANGELOGS_ALL=CHANGELOG

# In order to regenerate 'debian/control' :
#    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

binary-install/roundcube-core::
	# Remove plugins
	rm -rf $(CURDIR)/debian/roundcube-core/usr/share/roundcube/plugins

	# Symlink all that is in /usr/share/roundcube to /var/lib/roundcube
	find debian/roundcube-core/usr/share/roundcube -maxdepth 1 -mindepth 1 | \
	while read i; do \
		if [ ! -L "$$i" ]; then \
		  dh_link -proundcube-core "`echo "$$i" | sed -e s#debian/roundcube-core/##`" \
		  "`echo "$$i" | sed -e s#debian/roundcube-core/usr/share/roundcube/#var/lib/roundcube/#`"; \
		fi \
	done
	# Install config files
	install -m 0640 $(CURDIR)/config/db.inc.php.dist $(CURDIR)/debian/roundcube-core/etc/roundcube/db.inc.php
	install -m 0640 $(CURDIR)/config/main.inc.php.dist $(CURDIR)/debian/roundcube-core/usr/share/roundcube
	for c in $(CURDIR)/debian/roundcube-core/etc/roundcube/*.php; do \
		dh_link -proundcube-core etc/roundcube/$$(basename $$c) var/lib/roundcube/config/$$(basename $$c) ; \
	done

	# Database related files
	# Install empty tables and updates for each db type
	install -m 0644 $(CURDIR)/SQL/mysql.initial.sql $(CURDIR)/debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/install/mysql
	install -m 0644 $(CURDIR)/SQL/postgres.initial.sql $(CURDIR)/debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/install/pgsql
	install -m 0644 $(CURDIR)/SQL/sqlite.initial.sql $(CURDIR)/debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/install/sqlite

	# Old database upgrades
	cp -r $(CURDIR)/debian/sql/* $(CURDIR)/debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/upgrade/.

	# Some files are executable while not being scripts or binary...
	find $(CURDIR)/debian/roundcube-core/usr/share/roundcube -type f -print0 | xargs -r0 chmod -x
	# Remove useless file
	rm $(CURDIR)/debian/roundcube-core/usr/share/roundcube/bin/*.sh
	rm $(CURDIR)/debian/roundcube-core/usr/share/roundcube/bin/decrypt.php
	find $(CURDIR)/debian/roundcube-core -name '._*' -print0 | xargs -r0 rm
	find $(CURDIR)/debian/roundcube-core -name '*.js.src' -print0 | xargs -r0 rm
	# Remove files shipped in tinymce package
	rm -rf $(CURDIR)/debian/roundcube-core/usr/share/roundcube/program/js/tiny_mce
	dh_link -proundcube-core usr/share/tinymce/www usr/share/roundcube/program/js/tiny_mce
	# Remove jquery as well
	rm $(CURDIR)/debian/roundcube-core/usr/share/roundcube/program/js/jquery-1.3.min.js
	dh_link -proundcube-core usr/share/javascript/jquery/jquery.min.js usr/share/roundcube/program/js/jquery-1.3.min.js

$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/% :
	install -d $(CURDIR)/debian/$(cdbs_curpkg)/usr/share/bug/$(cdbs_curpkg)
	install -m 644 $(CURDIR)/debian/bug.control $(CURDIR)/debian/$(cdbs_curpkg)/usr/share/bug/$(cdbs_curpkg)/control

clean::
	debconf-updatepo

=== debian/watch ===
version=3
opts="uversionmangle=s/-(rc|alpha|beta)/~$1/" http://sf.net/roundcubemail/roundcubemail-([\d\.]+.*)-dep\.tar\.gz

## roundcube 0.5.1+dfsg

=== debian/changelog ===
roundcube (0.5.1+dfsg-7) unstable; urgency=low

  * Make dbconfig-common use sqlite by default to ensure that the package
    can be configured non-interactively in most cases. Closes: #617754.

 -- Vincent Bernat <bernat@debian.org>  Fri, 11 Mar 2011 09:08:32 +0100

roundcube (0.5.1+dfsg-6) unstable; urgency=low

  * Handle incorrect upgrade from 0.3.1-6 when "changed" column already
    exists for table "identities". Closes: #617312.

 -- Vincent Bernat <bernat@debian.org>  Tue, 08 Mar 2011 07:37:56 +0100

roundcube (0.5.1+dfsg-5) unstable; urgency=low

  * Don't use awk. Use plain shell to modify main.inc.php.
    Closes: #616074.

 -- Vincent Bernat <bernat@debian.org>  Fri, 04 Mar 2011 20:46:57 +0100

roundcube (0.5.1+dfsg-4) unstable; urgency=low

  * Fix debian/watch to remove "+dfsg" suffix.
  * Use awk instead of sed to modify main.inc.php. Closes: #615277.

 -- Vincent Bernat <bernat@debian.org>  Tue, 01 Mar 2011 19:59:00 +0100

roundcube (0.5.1+dfsg-3) unstable; urgency=low

  * Install show_additional_headers plugin in roundcube-plugins package.
  * Use dbconfig-common to force some upgrade commands using some ugly
    hacks. This should fix any remaining problems with MySQL
    upgrade. Closes: #613586.

 -- Vincent Bernat <bernat@debian.org>  Fri, 18 Feb 2011 22:04:12 +0100

roundcube (0.5.1+dfsg-2) unstable; urgency=low

  * Remove all "ADD INDEX" from MySQL 0.5-1 upgrade file and put them in
    postinst script. If you have a problem during the upgrade, please, let
    me know. This upload is only done to prevent users who did not upgrade
    to 0.5 yet to have a problem during their upgrade. If you already
    upgraded to 0.5 and if the upgrade failed (or if some feature are
    missing like identities management), please look at bug #613586.

 -- Vincent Bernat <bernat@debian.org>  Wed, 16 Feb 2011 20:54:48 +0100

roundcube (0.5.1+dfsg-1) unstable; urgency=low

  * Add plugins. Closes: #550454.
  * Rewrite (and update) of debian/copyright.
  * Use of yui-compressor to re-minify Javascript files.
  * Drop correct-magic-path.patch: libmagic1 now provides a symlink to the
    correct location since 4.24-4.
  * Repack orig.tar.gz to remove swf file shipped with TinyMCE with no
    sources available.

 -- Vincent Bernat <bernat@debian.org>  Mon, 14 Feb 2011 22:33:51 +0100

roundcube (0.5.1-1) unstable; urgency=low

  * New upstream version. Some bugs are corrected in this release or in a
    previous release:
      + when switching to HTML mode, content type is now correctly set.
        Closes: #611321.
      + header delimiters handling has been fixed in 0.5.
        Closes: #603489.
  * Don't assign "skins" directory to www-data. Closes: #612552.
  * Add instructions on how to install and upgrade when not using
    dbconfig-common. We do not ship UPGRADING file any more since it is
    misleading. Closes: #612511.
  * Fix MySQL indexes if upgrading from 0.5-2 or lesser. Closes: #610725.
  * Rework how symlinks work. The only directory to use is
    /var/lib/roundcube. We use symlink from /usr/share/roundcube to
    /var/lib/roundcube and not the other way. Moreover, plugins and skins
    are also symlinked. A user should be able to add plugins and skins in
    /var/lib/roundcube while default ones are in
    /usr/share/roundcube. Closes: #612553.

 -- Vincent Bernat <bernat@debian.org>  Wed, 09 Feb 2011 07:32:42 +0100

roundcube (0.5-2) experimental; urgency=low

  * If 0.3.1 was installed from scratch, upgrade does not work on MySQL
    and PostgreSQL because we try to create an index which already
    exists. With SQLite, the error is ignored, no fix needed. When using
    PostgreSQL, fix this by dropping the index if it already
    exists. Nothing similar seems to exist with MySQL. Therefore, just
    don't create the index. We need to handle this later. See bug
    #610725. Not closing.

 -- Vincent Bernat <bernat@debian.org>  Fri, 21 Jan 2011 21:44:05 +0100

roundcube (0.5-1) experimental; urgency=low

  * New upstream release. Closes: #592312.
     + Drop patches included upstream (DNS prefetching, jQuery 1.4
       handling, email address validation, duplicate headers, incorrectly
       formatted received headers). Adapt other patches. One of the patch
       now correctly states to use dpkg-reconfigure roundcube-core.
       Closes: #608977.
     + Update SQL commands to use to upgrade database.
       That also closes: #602922. Unfortunately, the user may get some
       harmless error messages because there is no way to know if
       0.3.1 was installed from scratch or upgraded from 0.3.
     + Update dependencies to match INSTALL file. Only exception is the
       use of Mail_Mime 1.8.0 in place of 1.8.1 which is not available in
       Debian. We depends on jQuery 1.4.2 because 1.4.4 is not available in
       Debian.
     + All folders are correctly checked since 0.4. Closes: #552430.
     + Also, closes: #553194 since it seems to have been fixed too.
     + There is also the possibility to not top-quote since 0.4.
       Closes: #491063.
     + Closes: #602144. Also fixed.
  * Move .htaccess to /etc/roundcube and use a symlink (Closes: #591369).
  * Don't let www-data overwrite debian-db.php. Closes: #608976.
  * Bump Standards-Version. No changes required.

 -- Vincent Bernat <bernat@debian.org>  Sat, 15 Jan 2011 12:40:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,25 @@
 Section: web
 Priority: extra
 Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>
-Uploaders: Vincent Bernat <bernat@debian.org>, Romain Beauxis <toots@rastageeks.org>, Holger Levsen <holger@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), cdbs (>= 0.4.27), po-debconf
+Uploaders: Vincent Bernat <bernat@debian.org>, Romain Beauxis <toots@rastageeks.org>
+Build-Depends: cdbs, debhelper (>= 5), dh-buildinfo, po-debconf, yui-compressor
 Homepage: http://www.roundcube.net/
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/pkg-roundcube/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-roundcube/trunk/
 
 Package: roundcube-core
 Architecture: all
-Depends: dbconfig-common, debconf | debconf-2.0, apache2 | lighttpd | httpd, php5, php5-mcrypt, php5-gd, roundcube-sqlite (= ${source:Version}) | roundcube-mysql (= ${source:Version}) | roundcube-pgsql (= ${source:Version}), php-mdb2, php-auth, php-net-smtp, php-net-socket, php-mail-mime (>= 1.7.0), ucf, tinymce (>= 3), ${misc:Depends}, libmagic1, php5-pspell, libjs-jquery (>= 1.3.3)
-Suggests: php-auth-sasl
+Depends: dbconfig-common, debconf | debconf-2.0, ucf,
+ apache2 | lighttpd | httpd,
+ php5, php5-mcrypt, php5-gd, php5-intl,
+ php-mdb2 (>= 2.5.0), php-auth, php-net-smtp (>= 1.4.2),
+ php-net-socket, php-mail-mime (>= 1.8.0), php5-pspell,
+ tinymce (>= 3), libjs-jquery (>= 1.4.2),
+ libmagic1,
+ roundcube-sqlite (= ${source:Version}) | roundcube-mysql (= ${source:Version}) | roundcube-pgsql (= ${source:Version}),
+ ${misc:Depends}
+Suggests: php-auth-sasl (>= 1.0.3), roundcube-plugins
 Replaces: roundcube
 Breaks: roundcube (<< 0.1~rc2-2)
 Description: skinnable AJAX based webmail solution for IMAP servers
@@ -64,3 +72,17 @@
  This package provides sqlite dependencies for RoundCube Webmail, a
  skinnable AJAX based webmail solution for IMAP servers. Install this
  one if you want to use a sqlite database with RoundCube.
+
+Package: roundcube-plugins
+Architecture: all
+Depends: roundcube-core (= ${source:Version}), ${misc:Depends}
+Description: skinnable AJAX based webmail solution for IMAP servers - plugins
+ RoundCube Webmail is a browser-based multilingual IMAP client with an
+ application-like user interface. It provides full functionality
+ expected from an e-mail client, including MIME support, address book,
+ folder manipulation and message filters.
+ .
+ The user interface is fully skinnable using XHTML and CSS 2.
+ .
+ This package provides several plugins for Roundcube. They should be
+ enabled in the configuration of Roundcube.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_INSTALL_CHANGELOGS_ALL=CHANGELOG

binary-install/roundcube-core::
	# Install config files
	install -m 0640 $(CURDIR)/config/db.inc.php.dist $(CURDIR)/debian/roundcube-core/etc/roundcube/db.inc.php
	install -m 0640 $(CURDIR)/config/main.inc.php.dist $(CURDIR)/debian/roundcube-core/usr/share/roundcube
	install -m 0640 $(CURDIR)/.htaccess $(CURDIR)/debian/roundcube-core/etc/roundcube/htaccess
	for c in $(CURDIR)/debian/roundcube-core/etc/roundcube/*.php; do \
		dh_link -proundcube-core etc/roundcube/$$(basename $$c) var/lib/roundcube/config/$$(basename $$c) ; \
	done
	dh_link -proundcube-core etc/roundcube/htaccess var/lib/roundcube/.htaccess

	# Database related files
	# Install empty tables and updates for each db type
	install -m 0644 $(CURDIR)/SQL/mysql.initial.sql $(CURDIR)/debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/install/mysql
	install -m 0644 $(CURDIR)/SQL/postgres.initial.sql $(CURDIR)/debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/install/pgsql
	install -m 0644 $(CURDIR)/SQL/sqlite.initial.sql $(CURDIR)/debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/install/sqlite

	# Old database upgrades
	cp -r $(CURDIR)/debian/sql/* $(CURDIR)/debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/upgrade/.

	# Some files are executable while not being scripts or binary...
	find $(CURDIR)/debian/roundcube-core/usr/share/roundcube -type f -print0 | xargs -r0 chmod -x
	# Remove useless file
	rm -rf $(CURDIR)/debian/roundcube-core/usr/share/roundcube/bin
	find $(CURDIR)/debian/roundcube-core -name '._*' -print0 | xargs -r0 rm
	# Convert .js.src back to js
	for js in $$(find $(CURDIR)/debian/roundcube-core -name '*.js.src' -print); do \
		yui-compressor --type js "$$js" -o "$${js%.*}" ; \
		rm "$$js" ; \
	done
	# Remove files shipped in tinymce package
	rm -rf $(CURDIR)/debian/roundcube-core/usr/share/roundcube/program/js/tiny_mce
	dh_link -proundcube-core usr/share/tinymce/www usr/share/roundcube/program/js/tiny_mce
	# Remove jquery as well
	rm $(CURDIR)/debian/roundcube-core/usr/share/roundcube/program/js/jquery-1.4.min.js
	dh_link -proundcube-core usr/share/javascript/jquery/jquery.min.js usr/share/roundcube/program/js/jquery-1.4.min.js

binary-install/roundcube-plugins::
	# Plugins are in usr/share/roundcube/plugins, for each plugin
	# if there is config.inc.php.dist, we symlink a config.inc.php
	# in /etc/roundcube/plugins with some dummy content.
	for plugin in $(CURDIR)/debian/roundcube-plugins/usr/share/roundcube/plugins/*; do \
		dh_link -proundcube-plugins usr/share/roundcube/plugins/$${plugin##*/} \
			var/lib/roundcube/plugins/$${plugin##*/} ; \
		if [ ! -f $${plugin}/config.inc.php.dist ]; then continue; fi ; \
		dh_installdirs -proundcube-plugins etc/roundcube/plugins/$${plugin##*/} ; \
		(echo "<?php" ; \
		 echo "// Empty configuration for $${plugin##*/}" ; \
		 echo "// See /usr/share/roundcube/plugins/$${plugin##*/}/config.inc.php.dist for instructions") > \
			$(CURDIR)/debian/roundcube-plugins/etc/roundcube/plugins/$${plugin##*/}/config.inc.php ; \
		dh_link -proundcube-plugins etc/roundcube/plugins/$${plugin##*/}/config.inc.php \
			usr/share/roundcube/plugins/$${plugin##*/}/config.inc.php ; \
	done

$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/% :
	install -d $(CURDIR)/debian/$(cdbs_curpkg)/usr/share/bug/$(cdbs_curpkg)
	install -m 644 $(CURDIR)/debian/bug.control $(CURDIR)/debian/$(cdbs_curpkg)/usr/share/bug/$(cdbs_curpkg)/control

clean::
	debconf-updatepo

## roundcube 0.5.4+dfsg

=== debian/changelog ===
roundcube (0.5.4+dfsg-1) unstable; urgency=high

  [ Vincent Bernat ]
  * New upstream version.
     + Fix XSS vulnerability in UI messages (Closes: #641996).
  * Switch to Git for version control thanks to Jérémy
    Bobbio. debian/control updated.
  * Ship INSTALL. Closes: #633698.

  [ Jérémy Bobbio ]
  * Re-add 'password' plugin to roundcube-plugins.

 -- Vincent Bernat <bernat@debian.org>  Wed, 13 Jul 2011 08:33:01 +0200

roundcube (0.5.3+dfsg-1) unstable; urgency=low

  * New upstream release.
     + Fix identities "reply-to" and "bcc" fields have a bogus value when
       left empty (Closes: #628553).

 -- Vincent Bernat <bernat@debian.org>  Fri, 10 Jun 2011 22:48:57 +0200

roundcube (0.5.2+dfsg-1) unstable; urgency=low

  * New upstream release
  * Update logrotate configuration. Closes: #619410.
  * Make debian-db.php owned by root. This really closes: #608976.
  * Bump Standards-Version. No changes required.

 -- Vincent Bernat <bernat@debian.org>  Sun, 24 Apr 2011 00:35:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Vincent Bernat <bernat@debian.org>, Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs, debhelper (>= 5), dh-buildinfo, po-debconf, yui-compressor
 Homepage: http://www.roundcube.net/
-Standards-Version: 3.9.1
-Vcs-Svn: svn://svn.debian.org/svn/pkg-roundcube/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-roundcube/trunk/
+Standards-Version: 3.9.2
+Vcs-Git: git://anonscm.debian.org/pkg-roundcube/roundcube.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-roundcube/roundcube.git
 
 Package: roundcube-core
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 DEB_INSTALL_CHANGELOGS_ALL=CHANGELOG
+
+DEB_DH_INSTALL_ARGS = \
+	--exclude=chgsaslpasswd.c \
+	--exclude=chgvirtualminpasswd.c \
+	--exclude=chpass-wrapper.py
 
 binary-install/roundcube-core::
 	# Install config files

## roundcube 0.6+dfsg

=== debian/changelog ===
roundcube (0.6+dfsg-1) unstable; urgency=low

  * New upstream version. Closes: #643707.
      + Repack to remove SWF file without source from TinyMCE.      
      + Add SQL upgrade procedures.
      + Add new plugins: acl, enigma and newmail_notifier.
      + Update jQuery dependency to jQuery 1.6.4.

 -- Vincent Bernat <bernat@debian.org>  Sun, 02 Oct 2011 15:20:57 +0200

## roundcube 0.7

=== debian/changelog ===
roundcube (0.7-3) unstable; urgency=low

  * Ship jqueryui plugin. Closes: #653274.
      + Depend on libjs-jquery-ui package (instead of builtin copy).
      + Conflict with versions of roundcube-plugins-extra providing this
        plugin.
  * More SQL fixes on update. Closes: #654297.

 -- Vincent Bernat <bernat@debian.org>  Mon, 02 Jan 2012 21:45:42 +0100

roundcube (0.7-2) unstable; urgency=low

  * Fix SQLite upgrade file. Closes: #653217.
  * Also fixes MySQL upgrade file and SQLite regular file.

 -- Vincent Bernat <bernat@debian.org>  Sun, 25 Dec 2011 16:14:04 +0100

roundcube (0.7-1) unstable; urgency=low

  * New upstream version. Closes: #652564.
      + Does not ship SWF with TinyMCE anymore.

 -- Vincent Bernat <bernat@debian.org>  Fri, 23 Dec 2011 22:04:39 +0100

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,14 @@
  php5, php5-mcrypt, php5-gd, php5-intl,
  php-mdb2 (>= 2.5.0), php-auth, php-net-smtp (>= 1.4.2),
  php-net-socket, php-mail-mime (>= 1.8.0), php5-pspell,
- tinymce (>= 3), libjs-jquery (>= 1.4.2),
+ tinymce (>= 3), libjs-jquery (>= 1.6.4), libjs-jquery-ui (>= 1.8),
  libmagic1,
  roundcube-sqlite (= ${source:Version}) | roundcube-mysql (= ${source:Version}) | roundcube-pgsql (= ${source:Version}),
  ${misc:Depends}
-Suggests: php-auth-sasl (>= 1.0.3), roundcube-plugins
+Suggests: php-auth-sasl (>= 1.0.3), php-crypt-gpg, roundcube-plugins
 Replaces: roundcube
 Breaks: roundcube (<< 0.1~rc2-2)
+Conflicts: roundcube-plugins-extra (<= 0.6-20111030)
 Description: skinnable AJAX based webmail solution for IMAP servers
  RoundCube Webmail is a browser-based multilingual IMAP client with an
  application-like user interface. It provides full functionality

## roundcube 0.7.1

=== debian/changelog ===
roundcube (0.7.1-2) unstable; urgency=high

  * Remove roundcube-sqlite package since php5 package does not ship
    SQLite 2.x support anymore. Roundcube is incompatible with SQLite 3.x.
    Closes: #657092.
  * Urgency set to high for php5 migration into testing.

 -- Vincent Bernat <bernat@debian.org>  Tue, 07 Feb 2012 17:37:52 +0100

roundcube (0.7.1-1) unstable; urgency=low

  * New upstream version. Closes: #656093.
  * Add Dutch debconf translation, thanks to Jeroen Schot.
    Closes: #656082.

 -- Vincent Bernat <bernat@debian.org>  Tue, 17 Jan 2012 08:57:11 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  php-net-socket, php-mail-mime (>= 1.8.0), php5-pspell,
  tinymce (>= 3), libjs-jquery (>= 1.6.4), libjs-jquery-ui (>= 1.8),
  libmagic1,
- roundcube-sqlite (= ${source:Version}) | roundcube-mysql (= ${source:Version}) | roundcube-pgsql (= ${source:Version}),
+ roundcube-mysql (= ${source:Version}) | roundcube-pgsql (= ${source:Version}),
  ${misc:Depends}
 Suggests: php-auth-sasl (>= 1.0.3), php-crypt-gpg, roundcube-plugins
 Replaces: roundcube
@@ -66,14 +66,6 @@
  a skinnable AJAX based webmail solution for IMAP servers. Install
  this one if you want to use a PostgreSQL database with RoundCube.
 
-Package: roundcube-sqlite
-Architecture: all
-Depends: php-mdb2-driver-sqlite (>= 1.5.0b2), sqlite, ${misc:Depends}
-Description: metapackage providing sqlite dependencies for RoundCube
- This package provides sqlite dependencies for RoundCube Webmail, a
- skinnable AJAX based webmail solution for IMAP servers. Install this
- one if you want to use a sqlite database with RoundCube.
-
 Package: roundcube-plugins
 Architecture: all
 Depends: roundcube-core (= ${source:Version}), ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,6 @@
 	# Install empty tables and updates for each db type
 	install -m 0644 $(CURDIR)/SQL/mysql.initial.sql $(CURDIR)/debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/install/mysql
 	install -m 0644 $(CURDIR)/SQL/postgres.initial.sql $(CURDIR)/debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/install/pgsql
-	install -m 0644 $(CURDIR)/SQL/sqlite.initial.sql $(CURDIR)/debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/install/sqlite
 
 	# Old database upgrades
 	cp -r $(CURDIR)/debian/sql/* $(CURDIR)/debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/upgrade/.
@@ -42,8 +41,10 @@
 	rm -rf $(CURDIR)/debian/roundcube-core/usr/share/roundcube/program/js/tiny_mce
 	dh_link -proundcube-core usr/share/tinymce/www usr/share/roundcube/program/js/tiny_mce
 	# Remove jquery as well
-	rm $(CURDIR)/debian/roundcube-core/usr/share/roundcube/program/js/jquery-1.4.min.js
-	dh_link -proundcube-core usr/share/javascript/jquery/jquery.min.js usr/share/roundcube/program/js/jquery-1.4.min.js
+	rm $(CURDIR)/debian/roundcube-core/usr/share/roundcube/program/js/jquery.min.js
+	dh_link -proundcube-core usr/share/javascript/jquery/jquery.min.js usr/share/roundcube/program/js/jquery.min.js
+	# Remove GnuPG PEAR module
+	rm -rf $(CURDIR)/debian/roundcube-plugins/usr/share/roundcube/plugins/enigma/lib/Crypt
 
 binary-install/roundcube-plugins::
 	# Plugins are in usr/share/roundcube/plugins, for each plugin

## roundcube 0.7.2

=== debian/changelog ===
roundcube (0.7.2-9~bpo60+1) squeeze-backports; urgency=low

  * Backport to Squeeze.
      + Add back roundcube-sqlite package.
      + Change wording of NEWS file.
      + Depends on an older version of php-mail-mime.

 -- Vincent Bernat <bernat@debian.org>  Thu, 28 Mar 2013 08:59:38 +0100

roundcube (0.7.2-9) unstable; urgency=high

  * Fix a vulnerability allowing logged users to override any variable
    which may be used to steal credentials of other users or read
    arbitrary files.

 -- Vincent Bernat <bernat@debian.org>  Wed, 27 Mar 2013 22:01:25 +0100

roundcube (0.7.2-8) unstable; urgency=low

  * In roundcube-core postinst, set appropriate rights on directory
    created when fixing symlinks.

 -- Vincent Bernat <bernat@debian.org>  Thu, 21 Mar 2013 22:47:33 +0100

roundcube (0.7.2-7) unstable; urgency=low

  * Fix dependencies to postgresql and postgresql-client. Closes: #699604.
  * Drop roundcube-sqlite transition package since we don't provide an
    automatic upgrade path. The user will have to remove the package by
    herself. Move the related NEWS entry from roundcube-sqlite to
    roundcube-core and explain how to continue upgrade. Closes: #688634.

 -- Vincent Bernat <bernat@debian.org>  Sat, 16 Mar 2013 17:26:20 +0100

roundcube (0.7.2-6) unstable; urgency=low

  * Fix the symlink mess in postinst when upgrading from 0.5 to a more
    recent version. Closes: #680917, #656886.

 -- Vincent Bernat <bernat@debian.org>  Sat, 10 Nov 2012 13:51:17 +0100

roundcube (0.7.2-5) unstable; urgency=low

  * Fix problem with some uuencoded attachments. Patch from Michał
    Mirosław. Closes: #686857.
  * Don't handle old configuration files from legacy roundcube
    package. roundcube package is an empty metapackage since
    Squeeze. Closes: #688230.

 -- Vincent Bernat <bernat@debian.org>  Sat, 29 Sep 2012 11:39:07 +0200

roundcube (0.7.2-4) unstable; urgency=high

  * Fix self XSS with plain signatures. CVE-2012-3508. Closes: #685475.

 -- Vincent Bernat <bernat@debian.org>  Sun, 26 Aug 2012 14:20:24 +0200

roundcube (0.7.2-3) unstable; urgency=low

  * Remove old Replaces/Breaks for roundcube-core since it is not needed
    since Squeeze.
  * Add back roundcube-sqlite package as a transitional package, thanks to
    a suggestion by Andreas Beckmann. This enables one to upgrade from
    Squeeze. Closes: #677803.
  * Move the actual NEWS entry about dropping SQLite to the transitional
    package. And be more verbose about it.

 -- Vincent Bernat <bernat@debian.org>  Sat, 23 Jun 2012 19:52:33 +0200

roundcube (0.7.2-2) unstable; urgency=low

  * Rotate /var/log/roundcube/session. Closes: #671472.
  * Fix rights of files generated by UCF. Closes: #671474.
  * Update Slovak debconf translation, thanks to Ivan Masár (Closes: #677907).

 -- Vincent Bernat <bernat@debian.org>  Tue, 19 Jun 2012 08:30:20 +0200

roundcube (0.7.2-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version. No changes required.
  * Depends on php-mail-mime (>= 1.8.2). Closes: #656243.

 -- Vincent Bernat <bernat@debian.org>  Sat, 28 Apr 2012 10:29:15 +0200

roundcube (0.7.1-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Feb 2012 09:14:58 +0100

roundcube (0.5.3+dfsg-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Configure git-buildpackage to use squeeze-backports branch.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 01 Aug 2011 11:00:05 +0200

roundcube (0.5.2+dfsg-1~bpo60+1) squeeze-backports; urgency=low

  * Backport to Squeeze.

 -- Vincent Bernat <bernat@debian.org>  Thu, 02 Jun 2011 12:36:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Vincent Bernat <bernat@debian.org>, Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs, debhelper (>= 5), dh-buildinfo, po-debconf, yui-compressor
 Homepage: http://www.roundcube.net/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/pkg-roundcube/roundcube.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-roundcube/roundcube.git
 
@@ -18,11 +18,9 @@
  php-net-socket, php-mail-mime (>= 1.8.0), php5-pspell,
  tinymce (>= 3), libjs-jquery (>= 1.6.4), libjs-jquery-ui (>= 1.8),
  libmagic1,
- roundcube-mysql (= ${source:Version}) | roundcube-pgsql (= ${source:Version}),
+ roundcube-mysql (= ${source:Version}) | roundcube-sqlite (= ${source:Version}) | roundcube-pgsql (= ${source:Version}),
  ${misc:Depends}
 Suggests: php-auth-sasl (>= 1.0.3), php-crypt-gpg, roundcube-plugins
-Replaces: roundcube
-Breaks: roundcube (<< 0.1~rc2-2)
 Conflicts: roundcube-plugins-extra (<= 0.6-20111030)
 Description: skinnable AJAX based webmail solution for IMAP servers
  RoundCube Webmail is a browser-based multilingual IMAP client with an
@@ -48,6 +46,14 @@
  .
  This package will install a full roundcube application.
 
+Package: roundcube-sqlite
+Architecture: all
+Depends: php-mdb2-driver-sqlite (>= 1.5.0b2), sqlite, ${misc:Depends}
+Description: metapackage providing sqlite dependencies for RoundCube
+ This package provides sqlite dependencies for RoundCube Webmail, a
+ skinnable AJAX based webmail solution for IMAP servers. Install this
+ one if you want to use a sqlite database with RoundCube.
+
 Package: roundcube-mysql
 Architecture: all
 Depends: php-mdb2-driver-mysql (>= 1.5.0b2), mysql-client | virtual-mysql-client, ${misc:Depends}
@@ -59,8 +65,8 @@
 
 Package: roundcube-pgsql
 Architecture: all
-Depends: php-mdb2-driver-pgsql (>= 1.5.0b2), postgresql-client-8.1 | postgresql-client, ${misc:Depends}
-Suggests: postgresql-server
+Depends: php-mdb2-driver-pgsql (>= 1.5.0b2), postgresql-client-9.1 | postgresql-client, ${misc:Depends}
+Suggests: postgresql
 Description: metapackage providing PostgreSQL dependencies for RoundCube
  This package provides PostgreSQL dependencies for RoundCube Webmail,
  a skinnable AJAX based webmail solution for IMAP servers. Install

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 	# Install empty tables and updates for each db type
 	install -m 0644 $(CURDIR)/SQL/mysql.initial.sql $(CURDIR)/debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/install/mysql
 	install -m 0644 $(CURDIR)/SQL/postgres.initial.sql $(CURDIR)/debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/install/pgsql
+	install -m 0644 $(CURDIR)/SQL/sqlite.initial.sql $(CURDIR)/debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/install/sqlite
 
 	# Old database upgrades
 	cp -r $(CURDIR)/debian/sql/* $(CURDIR)/debian/roundcube-core/usr/share/dbconfig-common/data/roundcube/upgrade/.
@@ -57,7 +58,8 @@
 		dh_installdirs -proundcube-plugins etc/roundcube/plugins/$${plugin##*/} ; \
 		(echo "<?php" ; \
 		 echo "// Empty configuration for $${plugin##*/}" ; \
-		 echo "// See /usr/share/roundcube/plugins/$${plugin##*/}/config.inc.php.dist for instructions") > \
+		 echo "// See /usr/share/roundcube/plugins/$${plugin##*/}/config.inc.php.dist for instructions" ; \
+		 echo "?>") > \
 			$(CURDIR)/debian/roundcube-plugins/etc/roundcube/plugins/$${plugin##*/}/config.inc.php ; \
 		dh_link -proundcube-plugins etc/roundcube/plugins/$${plugin##*/}/config.inc.php \
 			usr/share/roundcube/plugins/$${plugin##*/}/config.inc.php ; \
